Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Class UIInput

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput

All Implemented Interfaces:
  EditableValueHolder, StateHolder, ValueHolder

Direct Known Subclasses:
  HtmlInputHidden, HtmlInputSecret, HtmlInputText, HtmlInputTextarea, UISelectBoolean, UISelectMany, UISelectOne

public class UIInput
extends UIOutput
implements EditableValueHolder

see Javadoc of JSF Specification

Version:
  $Revision: 231024 $ $Date: 2005-08-09 08:37:36 -0400 (Tue, 09 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mbr $)

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`
`static java.lang.String` | `CONVERSION_MESSAGE_ID`
`static java.lang.String` | `REQUIRED_MESSAGE_ID`

Constructor Summary
`UIInput()`

Method Summary
`void` | `addValidator(Validator validator)`
`void` | `addValueChangeListener(ValueChangeListener listener)`
`void` | `broadcast(FacesEvent event)`
`protected boolean` | `compareValues(java.lang.Object previous, java.lang.Object value)`
`void` | `decode(FacesContext context)`
`protected java.lang.Object` | `getConvertedValue(FacesContext context, java.lang.Object submittedValue)`
`java.lang.String` | `getFamily()`
`java.lang.Object` | `getSubmittedValue()`
`MethodBinding` | `getValidator()`
`Validator[]` | `getValidators()`
`MethodBinding` | `getValueChangeListener()`
`ValueChangeListener[]` | `getValueChangeListeners()`
`boolean` | `isImmediate()`
`boolean` | `isLocalValueSet()`
`boolean` | `isRequired()`
`boolean` | `isValid()`
`void` | `processDecodes(FacesContext context)`
`void` | `processUpdates(FacesContext context)`
`void` | `processValidators(FacesContext context)`
`void` | `removeValidator(Validator validator)`
`void` | `removeValueChangeListener(ValueChangeListener listener)`
`void` | `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(FacesContext context)`
`void` | `setImmediate(boolean immediate)`
`void` | `setLocalValueSet(boolean localValueSet)`
`void` | `setRequired(boolean required)`
`void` | `setSubmittedValue(java.lang.Object submittedValue)`
`void` | `setValid(boolean valid)`
`void` | `setValidator(MethodBinding validator)`
`void` | `setValue(java.lang.Object value)`
`void` | `setValueChangeListener(MethodBinding valueChangeListener)`
`void` | `updateModel(FacesContext context)`
`void` | `validate(FacesContext context)`
`protected void` | `validateValue(FacesContext context, java.lang.Object convertedValue)`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### CONVERSION_MESSAGE_ID

    public static final java.lang.String CONVERSION_MESSAGE_ID

See Also:
  Constant Field Values

### REQUIRED_MESSAGE_ID

    public static final java.lang.String REQUIRED_MESSAGE_ID

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIInput

    public UIInput()

Method Detail

### getSubmittedValue

    public java.lang.Object getSubmittedValue()

  Specified by:
    `getSubmittedValue` in interface `EditableValueHolder`

### setSubmittedValue

    public void setSubmittedValue(java.lang.Object submittedValue)

  Specified by:
    `setSubmittedValue` in interface `EditableValueHolder`

### setValue

    public void setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `ValueHolder`
  Overrides:
    `setValue` in class `UIOutput`

### isLocalValueSet

    public boolean isLocalValueSet()

  Specified by:
    `isLocalValueSet` in interface `EditableValueHolder`

### setLocalValueSet

    public void setLocalValueSet(boolean localValueSet)

  Specified by:
    `setLocalValueSet` in interface `EditableValueHolder`

### isValid

    public boolean isValid()

  Specified by:
    `isValid` in interface `EditableValueHolder`

### setValid

    public void setValid(boolean valid)

  Specified by:
    `setValid` in interface `EditableValueHolder`

### getValidator

    public MethodBinding getValidator()

  Specified by:
    `getValidator` in interface `EditableValueHolder`

### setValidator

    public void setValidator(MethodBinding validator)

  Specified by:
    `setValidator` in interface `EditableValueHolder`

### getValueChangeListener

    public MethodBinding getValueChangeListener()

  Specified by:
    `getValueChangeListener` in interface `EditableValueHolder`

### setValueChangeListener

    public void setValueChangeListener(MethodBinding valueChangeListener)

  Specified by:
    `setValueChangeListener` in interface `EditableValueHolder`

### processDecodes

    public void processDecodes(FacesContext context)

  Overrides:
    `processDecodes` in class `UIComponentBase`

### processValidators

    public void processValidators(FacesContext context)

  Overrides:
    `processValidators` in class `UIComponentBase`

### processUpdates

    public void processUpdates(FacesContext context)

  Overrides:
    `processUpdates` in class `UIComponentBase`

### decode

    public void decode(FacesContext context)

  Overrides:
    `decode` in class `UIComponentBase`

### broadcast

    public void broadcast(FacesEvent event)
                   throws AbortProcessingException

  Overrides:
    `broadcast` in class `UIComponentBase`
  Throws:
    `AbortProcessingException`

### updateModel

    public void updateModel(FacesContext context)

### validateValue

    protected void validateValue(FacesContext context,
                                 java.lang.Object convertedValue)

### validate

    public void validate(FacesContext context)

### getConvertedValue

    protected java.lang.Object getConvertedValue(FacesContext context,
                                                 java.lang.Object submittedValue)

### compareValues

    protected boolean compareValues(java.lang.Object previous,
                                    java.lang.Object value)

### addValidator

    public void addValidator(Validator validator)

  Specified by:
    `addValidator` in interface `EditableValueHolder`

### getValidators

    public Validator[] getValidators()

  Specified by:
    `getValidators` in interface `EditableValueHolder`

### removeValidator

    public void removeValidator(Validator validator)

  Specified by:
    `removeValidator` in interface `EditableValueHolder`

### addValueChangeListener

    public void addValueChangeListener(ValueChangeListener listener)

  Specified by:
    `addValueChangeListener` in interface `EditableValueHolder`

### getValueChangeListeners

    public ValueChangeListener[] getValueChangeListeners()

  Specified by:
    `getValueChangeListeners` in interface `EditableValueHolder`

### removeValueChangeListener

    public void removeValueChangeListener(ValueChangeListener listener)

  Specified by:
    `removeValueChangeListener` in interface `EditableValueHolder`

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIOutput`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIOutput`

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `UIOutput`

### setImmediate

    public void setImmediate(boolean immediate)

  Specified by:
    `setImmediate` in interface `EditableValueHolder`

### isImmediate

    public boolean isImmediate()

  Specified by:
    `isImmediate` in interface `EditableValueHolder`

### setRequired

    public void setRequired(boolean required)

  Specified by:
    `setRequired` in interface `EditableValueHolder`

### isRequired

    public boolean isRequired()

  Specified by:
    `isRequired` in interface `EditableValueHolder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD